/*
GoSkola24API
Copyright (C) 2024, Zervó Zadachin

DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License version 3
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License version 3 for more details.

This program incorporates external libraries for certain functionalities.
These libraries are covered by their respective licenses, and their usage
agreements are as outlined in their respective documentation or source
code.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package types

// Holds data about a school term, aka semester
type SchoolTerm struct {
	Start  string `json:"start"`  // Start-date of the term
	TermId string `json:"termId"` // UUID identifying the term
	Name   string `json:"name"`   // Friendly-name of the term
	End    string `json:"end"`    // End-date of the term
}

// Holds a list of active school terms
type Terms struct {
	ActiveTerms            []SchoolTerm `json:"activeSchoolYears"`      // List of active terms
	UseSchoolYearsFeatures bool         `json:"useSchoolYearsFeatures"` // Purpose unknown
}
